# #########################################################
#
# \brief        Use qt qmake on this to make the Makefile.
#
#               This file is really only for XP because UNIX, 
#               Linux, and OSX can use the gnu automake.
#
#               This file exists for those that have qt (such as
#               myself). Others may simply use the Makefile.win
#
# #########################################################

# #########################################################
# COMMON
# #########################################################
TEMPLATE                = app
TARGET                  = myodbc3m
DESTDIR                 = ../bin
OBJECTS_DIR             = .tmp
include( ../config.qmake )
CONFIG                  += console
include( ../defines.qmake )
include( ../odbc.qmake )

# #########################################################
# WIN
# #########################################################
win32 {
        LIBS              += ..\util\myodbcutil.lib
}

# #########################################################
# UNIX
# #########################################################
unix {
        LIBS               += -L../util -lmyodbcutil
}

# #########################################################
# OSX
# #########################################################
mac {
}

# #########################################################
# FILES
# #########################################################
HEADERS			= \
                        imyodbc.h
SOURCES			= \
                        imyodbc.c

